xgboost

Public Member Functions | Protected Attributes | List of all members
xgboost::common::DenseCuts Class Reference

Cut configuration for dense dataset. More...

`#include <hist_util.h>`

Inheritance diagram for xgboost::common::DenseCuts:
Collaboration diagram for xgboost::common::DenseCuts:

## Public Member Functions
| DenseCuts (HistogramCuts *container)
void | Init (std::vector< WQSketch > *sketchs, uint32_t max_num_bins, size_t max_rows)
void | Build (DMatrix *p_fmat, uint32_t max_num_bins) override
Public Member Functions inherited from xgboost::common::CutsBuilder
| CutsBuilder (HistogramCuts *p_cuts)
virtual | ~CutsBuilder ()=default
void | AddCutPoint (WQSketch::SummaryContainer const &summary, int max_bin)

## Protected Attributes
Monitor | monitor_
Protected Attributes inherited from xgboost::common::CutsBuilder
HistogramCuts * | p_cuts_

## Additional Inherited Members
Public Types inherited from xgboost::common::CutsBuilder
using | WQSketch = common::WQuantileSketch< bst_float, bst_float >
Static Public Member Functions inherited from xgboost::common::CutsBuilder
static bool | UseGroup (DMatrix *dmat)
static bool | UseGroup (MetaInfo const &info)
static uint32_t | SearchGroupIndFromRow (std::vector< bst_uint > const &group_ptr, size_t const base_rowid)

## Detailed Description

Cut configuration for dense dataset.

## Constructor & Destructor Documentation

## ◆ DenseCuts()

xgboost::common::DenseCuts::DenseCuts | ( | HistogramCuts * | container | ) |
| inline explicit

## Member Function Documentation

## ◆ Build()

void xgboost::common::DenseCuts::Build | ( | DMatrix * | p_fmat,
|  | uint32_t | max_num_bins
| ) |  |
| override virtual

Implements xgboost::common::CutsBuilder.

## ◆ Init()

void xgboost::common::DenseCuts::Init | ( | std::vector< WQSketch > * | sketchs,
|  | uint32_t | max_num_bins,
|  | size_t | max_rows
| ) |  |

## Member Data Documentation

## ◆ monitor_

Monitor xgboost::common::DenseCuts::monitor_
| protected

The documentation for this class was generated from the following file:

- /workspace/src/common/hist_util.h